package com.io.yaohun.worldbosshurt.event;

import com.io.yaohun.worldbosshurt.data.BossData;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

public class WorldBossDeathEvent extends Event {

    private static HandlerList handlers = new HandlerList();
    private BossData bossData;

    @Override
    public HandlerList getHandlers() {
        return handlers;
    }
    public static HandlerList getHandlerList() {
        return handlers;
    }
    public WorldBossDeathEvent(BossData bossData) {
        this.bossData = bossData;
    }

    public String getBossKey(){
        return bossData.getBossKey();
    }

    public String getMobName() {
        return bossData.getBossName();
    }
}
