package com.io.yaohun.worldbosshurt;

import com.io.yaohun.worldbosshurt.listener.BossArmor;
import com.io.yaohun.worldbosshurt.listener.BossDamageByPlayer;
import com.io.yaohun.worldbosshurt.listener.BossKillsDeath;
import com.io.yaohun.worldbosshurt.listener.BossSpawnLogs;
import com.io.yaohun.worldbosshurt.mangage.BossManage;
import com.io.yaohun.worldbosshurt.mangage.RewardManage;
import me.Demon.DemonPlugin.DemonAPI;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.plugin.java.JavaPlugin;

import java.io.File;

public class Main extends JavaPlugin {

    public static Main plugin;
    public static BossManage bossManage;
    public static RewardManage rewardManage;

    @Override
    public void onEnable() {
        plugin = this;
        reloadMobDataYml();
        getServer().getPluginManager().registerEvents(new BossSpawnLogs(),this);
        getServer().getPluginManager().registerEvents(new BossArmor(),this);
        getServer().getPluginManager().registerEvents(new BossDamageByPlayer(),this);
        getServer().getPluginManager().registerEvents(new BossKillsDeath(),this);
        Bukkit.getConsoleSender().sendMessage("§b[BossHurt] §f插件成功载入Server！");
        Bukkit.getConsoleSender().sendMessage("§b[BossHurt] §f妖魂QQ:1763917516");
    }

    public void reloadMobDataYml(){
        File Datafile = new File("plugins/WorldBossHurt", "MobData.yml");
        bossManage = new BossManage(YamlConfiguration.loadConfiguration(Datafile));
        rewardManage = new RewardManage(YamlConfiguration.loadConfiguration(Datafile));
    }

    @Override
    public boolean onCommand(CommandSender sender, Command cmd, String Command, String[] args) {
        if(Command.equalsIgnoreCase("bossreload")){
            reloadMobDataYml();
            DemonAPI.sendMessage(sender,"配置文件已重载.");
            return true;
        }
        if(Command.equalsIgnoreCase("bosspz")){

        }
        return false;
    }
}
